onEvent('recipes', event => {

    //Molten Iron
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_iron", 144))
        .requireItem(Item.of("minecraft:iron_ingot"))

    //Molten Gold
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_gold", 144))
        .requireItem(Item.of("minecraft:gold_ingot"))

    //Molten Diamond
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_diamond", 144))
        .requireItem(Item.of("minecraft:diamond"))

    //Molten Emerald
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_emerald", 144))
        .requireItem(Item.of("minecraft:emerald"))

    //Molten Netherite
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_netherite", 144))
        .requireItem(Item.of("minecraft:netherite_ingot"))

    //Molten Starmetal
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_starmetal", 144))
        .requireItem(Item.of("astralsorcery:starmetal_ingot", 1))

    //Molten Netherite-Starmetal Alloy
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 144))
        .requireItem(Item.of("kubejs:netherite_starmetal_alloy_ingot"))

    //Molten Energised Gold Alloy
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_energised_gold_alloy", 144))
        .requireItem(Item.of("kubejs:energised_gold_alloy_ingot"))
    
    //Molten Briliant Diamond
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_briliant_diamond", 144))
        .requireItem(Item.of("kubejs:briliant_diamond", 1))
    
    //Molten Briliant Emerald
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_briliant_emerald", 144))
        .requireItem(Item.of("kubejs:briliant_emerald", 1))

    //Molten Ultimate
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_ultimate", 144))
        .requireItem(Item.of("extendedcrafting:the_ultimate_ingot", 1))
    
    //Molten Spacetime
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_extractor", 1)
        .produceFluid(Fluid.of("kubejs:molten_spacetime", 144))
        .requireItem(Item.of("kubejs:spacetime_ingot", 1))

})